SDL_uikitviewcontroller Class Reference

`#import <SDL_uikitviewcontroller.h>`

Inheritance diagram for SDL_uikitviewcontroller:
[legend]
Collaboration diagram for SDL_uikitviewcontroller:
[legend]

## Instance Methods

(instancetype) | - initWithSDLWindow:
(void) | - setAnimationCallback:callback:callbackParam:
(void) | - startAnimation
(void) | - stopAnimation
(void) | - doLoop:
(void) | - loadView
(void) | - viewDidLayoutSubviews
(NSUInteger) | - supportedInterfaceOrientations
(BOOL) | - prefersStatusBarHidden
(BOOL) | - prefersHomeIndicatorAutoHidden
(UIRectEdge) | - preferredScreenEdgesDeferringSystemGestures

## Properties

SDL_Window * | window
int | homeIndicatorHidden

## Detailed Description

Definition at line 39 of file SDL_uikitviewcontroller.h.

## Method Documentation

## doLoop:()

- (void) doLoop: |  | (CADisplayLink *) | sender |

## initWithSDLWindow:()

- (instancetype) initWithSDLWindow: |  | (SDL_Window *) | _window |

## loadView()

- (void) loadView |  |  |

## preferredScreenEdgesDeferringSystemGestures()

- (UIRectEdge) preferredScreenEdgesDeferringSystemGestures |  |  |

## prefersHomeIndicatorAutoHidden()

- (BOOL) prefersHomeIndicatorAutoHidden |  |  |

## prefersStatusBarHidden()

- (BOOL) prefersStatusBarHidden |  |  |

## setAnimationCallback:callback:callbackParam:()

- (void) setAnimationCallback: |  | (int) | interval
callback: |  | (void(*)(void *)) | callback
callbackParam: |  | (void *) | callbackParam

## startAnimation()

- (void) startAnimation |  |  |

## stopAnimation()

- (void) stopAnimation |  |  |

## supportedInterfaceOrientations()

- (NSUInteger) supportedInterfaceOrientations |  |  |

## viewDidLayoutSubviews()

- (void) viewDidLayoutSubviews |  |  |

## Property Documentation

## homeIndicatorHidden

- (int) homeIndicatorHidden

read write nonatomic assign

Definition at line 64 of file SDL_uikitviewcontroller.h.

## window

- (SDL_Window*) window

read write nonatomic assign

Definition at line 42 of file SDL_uikitviewcontroller.h.

The documentation for this class was generated from the following file:

- src/video/uikit/SDL_uikitviewcontroller.h